Subject: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2013 18:28:38 +0200

> Date: Sat, 07 Dec 2013 16:47:03 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >   In GNU Emacs 24.3.50.2 (i686-pc-mingw32)
>  >    of 2013-11-28 on LEG570
>  >   Bzr revision: 115271 [email-masked]
>  >   Windowing system distributor `Microsoft Corp.', version 6.1.7601
>  >   Configured using:
>  >    `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'
> 
> How do you get this information?

Drew reported it with his original bug report.

>  >> Earlier I had to explicitly specify
>  >>
>  >>   --without-xpm --without-png --without-jpeg --without-tiff --without-gif
>  >
>  > Maybe on Unix.
> 
> On Windows of course!
> 
>  >> And BTW what happend to ./nt/msysconfig.sh?
>  >
>  > Its functionality was incorporated into configure.
> 
> OK.  I see there must have been other changes as well.  I currently do
> 
> c:/Programme/MinGW/msys/1.0/bin/bash.exe --login -i -c  "cd /c/emacs/trunk/ ; CPPFLAGS='-DGLYPH_DEBUG=1' CFLAGS='-O0 -g3' --prefix=/c/emacs/trunk --enable-checking=yes --enable-gcc-warnings=yes --enable-check-lisp-object-type=yes"
> 
> and am immediately told
> 
> bash: --prefix=/c/emacs/trunk: No such file or directory
> 
> but what's more annoying that apparently my gcc directives don't get
> through any more.  I see, for example
> 
> gcc  -std=gnu99 -c -mtune=pentium4   -DUSE_CRT_DLL=1 -I /c/emacs/trunk/nt/inc -Demacs  -I. -I. -I../lib -I./../lib  -mtune=pentium4               -MMD -MF deps/firstfile.d -MP     -g3 -O2 -gdwarf-2  firstfile.c
> 
> that is -O0 has become -O2 IIUC.  Any ideas?

None, except that I invoke the command from the Bash prompt.